(* ::Package:: *)

(* AutoDipole 1.0 - Package of an automated dipole subtraction by
Kouhei Hasegawa, Sven Moch, and Peter Uwer, 
Nucl.Phys.Proc.Suppl.183:268-273,2008 *)


packagedir=Directory[];
mathdir=StringJoin[packagedir, "/lib/math/"];
executeshell=StringJoin[packagedir, "/lib/sh/runall.sh"];
pathuserparameter=StringJoin[packagedir,"/parameter.m"];
SetDirectory[mathdir];
<<driver.m;
SetDirectory[packagedir];


GenerateAll[ilist_,flist_]:=Module[{},
<<parameter.m;
SetDirectory[mathdir];
CreateAll[ilist,flist];
SetDirectory[packagedir];
executeshellanddirectory=StringJoin[executeshell," ",processdir];
Run[executeshellanddirectory];
];
